Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 447080 - Review Request: gmemusage - Graphical memory usage viewer
Summary: Review Request: gmemusage - Graphical memory usage viewer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-05-17 18:09 UTC by Mohd Izhar Firdaus Ismail
Modified: 2008-07-06 15:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-06 11:14:54 UTC


Attachments (Terms of Use)
Gmemusage in use screenshot (deleted)
2008-05-23 08:39 UTC, Anshuman
no flags Details
Gmemusage in use screenshot (deleted)
2008-05-23 10:05 UTC, Anshuman
no flags Details

Description Mohd Izhar Firdaus Ismail 2008-05-17 18:09:19 UTC
Spec URL: http://izhar.fedorapeople.org/gmemusage/gmemusage.spec
SRPM URL: http://izhar.fedorapeople.org/gmemusage/gmemusage-0.2-1.fc9.src.rpm
Description: 
The gmemusage tool provides a graphical memory display
of the programs running on your computer. The original
version of gmemusage was provided on IRIX.

Comment 1 Peter Lemenkov 2008-05-18 06:06:50 UTC
I'll reviev it.


Comment 2 Suren Karapetyan 2008-05-18 07:52:03 UTC
Looks like RPM_OPT_FLAGS doesn't get into CFLAGS.
Maybe "export CFLAGS=$RPM_OPT_FLAGS" in specfile and modify the makefile patch
to make it use exported CFLAGS?

Comment 3 Peter Lemenkov 2008-05-19 12:08:26 UTC
Also you need to remove -L/usr/X11R6/lib.

The best way to fix Mfkefile params is to use conditional assignment. For example

CFLAGS ?= -Wall 

This means "if no CFLAGS specified, then assign -Wall, instead use specified
value". 

After that invoke 'make' as following:

CFLAGS="%{optflags} -DWHATEVER_YOU_NEED" make %{smp_flags}


Comment 4 Anshuman 2008-05-23 08:39:03 UTC
Created attachment 306455 [details]
Gmemusage in use screenshot 

Just showing how it looks at Fedora 9.

Comment 5 Anshuman 2008-05-23 10:05:24 UTC
Created attachment 306472 [details]
Gmemusage in use screenshot

Comment 6 Peter Lemenkov 2008-05-24 18:46:03 UTC
Ping.

Comment 7 Mohd Izhar Firdaus Ismail 2008-05-24 19:15:34 UTC
Sorry for the delay, was having a rather busy week .. 

exporting RPM CFLAGS caused the tool to end up with this error. Possibly due to
fortify_source directives .. 

*** stack smashing detected ***: gmemusage terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0x914ce8]
/lib/libc.so.6(__fortify_fail+0x0)[0x914ca0]
gmemusage[0x804acaa]
gmemusage[0x8049608]
gmemusage[0x804a53a]
/lib/libc.so.6(__libc_start_main+0xe6)[0x8345d6]
gmemusage[0x80492b1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00144000-00151000 r-xp 00000000 fd:02 525015     /lib/libgcc_s-4.3.0-20080428.so.1
00151000-00152000 rw-p 0000c000 fd:02 525015     /lib/libgcc_s-4.3.0-20080428.so.1
007fe000-0081a000 r-xp 00000000 fd:02 524370     /lib/ld-2.8.so
0081a000-0081b000 r--p 0001c000 fd:02 524370     /lib/ld-2.8.so
0081b000-0081c000 rw-p 0001d000 fd:02 524370     /lib/ld-2.8.so
0081e000-00981000 r-xp 00000000 fd:02 524433     /lib/libc-2.8.so
00981000-00983000 r--p 00163000 fd:02 524433     /lib/libc-2.8.so
00983000-00984000 rw-p 00165000 fd:02 524433     /lib/libc-2.8.so
00984000-00987000 rw-p 00984000 00:00 0 
009b4000-009b7000 r-xp 00000000 fd:02 524476     /lib/libdl-2.8.so
009b7000-009b8000 r--p 00002000 fd:02 524476     /lib/libdl-2.8.so
009b8000-009b9000 rw-p 00003000 fd:02 524476     /lib/libdl-2.8.so
00af9000-00afb000 r-xp 00000000 fd:02 45219      /usr/lib/libXau.so.6.0.0
00afb000-00afc000 rw-p 00001000 fd:02 45219      /usr/lib/libXau.so.6.0.0
00afe000-00b19000 r-xp 00000000 fd:02 45981      /usr/lib/libxcb.so.1.0.0
00b19000-00b1a000 rw-p 0001a000 fd:02 45981      /usr/lib/libxcb.so.1.0.0
00b1c000-00c19000 r-xp 00000000 fd:02 46038      /usr/lib/libX11.so.6.2.0
00c19000-00c1d000 rw-p 000fc000 fd:02 46038      /usr/lib/libX11.so.6.2.0
00c1f000-00c20000 r-xp 00000000 fd:02 46036      /usr/lib/libxcb-xlib.so.0.0.0
00c20000-00c21000 rw-p 00000000 fd:02 46036      /usr/lib/libxcb-xlib.so.0.0.0
00c23000-00c28000 r-xp 00000000 fd:02 45939      /usr/lib/libXdmcp.so.6.0.0
00c28000-00c29000 rw-p 00004000 fd:02 45939      /usr/lib/libXdmcp.so.6.0.0
00d9a000-00da2000 r-xp 00000000 fd:02 46039      /usr/lib/libXrender.so.1.3.0
00da2000-00da3000 rw-p 00007000 fd:02 46039      /usr/lib/libXrender.so.1.3.0
00db4000-00dbd000 r-xp 00000000 fd:02 46082      /usr/lib/libXcursor.so.1.0.2
00dbd000-00dbe000 rw-p 00008000 fd:02 46082      /usr/lib/libXcursor.so.1.0.2
00dc0000-00dc4000 r-xp 00000000 fd:02 46080      /usr/lib/libXfixes.so.3.1.0
00dc4000-00dc5000 rw-p 00003000 fd:02 46080      /usr/lib/libXfixes.so.3.1.0
08048000-0804c000 r-xp 00000000 fd:02 34258      /usr/bin/gmemusage
0804c000-0804d000 rw-p 00004000 fd:02 34258      /usr/bin/gmemusage
08329000-0834a000 rw-p 08329000 00:00 0          [heap]
b7f40000-b7f43000 rw-p b7f40000 00:00 0 
bfd47000-bfd5c000 rw-p bffeb000 00:00 0          [stack]

any idea to resolve it?

Comment 8 Peter Lemenkov 2008-05-24 19:19:51 UTC
Firstly we need to send it upstream :).

I'll try to reproduce this issue also.

Comment 9 Mohd Izhar Firdaus Ismail 2008-05-24 19:24:45 UTC
the srpm is here

http://izhar.fedorapeople.org/gmemusage/gmemusage-0.2-2.fc9.src.rpm

not sure whether upstream is still alive though .. but i'll try contacting anyway

Comment 10 Mohd Izhar Firdaus Ismail 2008-05-28 08:12:12 UTC
the Mailing list is dead and same goes to the author's email.

I guess this software no longer maintained .. 

hurm .......

Comment 11 Mohd Izhar Firdaus Ismail 2008-07-06 11:14:54 UTC
upstream is dead, and I don't know what to fix in the code.

closing as WONTFIX


Note You need to log in before you can comment on or make changes to this bug.